org.apache.mina.example.chat

## Class ChatCommand

- java.lang.Object
- - org.apache.mina.example.chat.ChatCommand

-     public class ChatCommand
      extends Object

  Encapsulates a chat command. Use `valueOf(String)` to create an instance given a command string.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BROADCAST`
    `static int` | `LOGIN`
    `static int` | `QUIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `toInt()`
    `static ChatCommand` | `valueOf(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGIN

          public static final int LOGIN

      See Also:
        Constant Field Values

    - #### QUIT

          public static final int QUIT

      See Also:
        Constant Field Values

    - #### BROADCAST

          public static final int BROADCAST

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toInt

          public int toInt()

    - #### valueOf

          public static ChatCommand valueOf(String s)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.